Skip to main content
GET
/
organizations
/
{organizationID}
Get organization details
curl --request GET \
  --url https://api.xata.tech/organizations/{organizationID} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.xata.tech/organizations/{organizationID}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.xata.tech/organizations/{organizationID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "status": {
    "disabled_by_admin": true,
    "last_updated": "2023-11-07T05:31:56Z",
    "admin_reason": "<string>",
    "billing_reason": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  },
  "marketplace": "aws"
}
{
"message": "<string>",
"id": "<string>"
}
{
"message": "invalid API key"
}
{
"message": "invalid API key"
}
{
"message": "<string>",
"id": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationID
string
required

Unique identifier for a specific organization

Pattern: [a-zA-Z0-9_-~:]+

Response

Organization details retrieved successfully

Organization details including ID and name

id
string
required

Unique identifier for the organization

Pattern: [a-zA-Z0-9_-~:]+
name
string
required

Human-readable name of the organization

status
object
required

Current status of the organization

marketplace
enum<string> | null

Marketplace provider for this organization (e.g. "aws"), if billed through a marketplace

Available options:
aws